Bug 81289 - Options for ucontext/pthread/fork in security/stunnel (ucontext is broken)
Options for ucontext/pthread/fork in security/stunnel (ucontext is broken)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: roam
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-20 07:00 UTC by vd
Modified: 2005-06-14 10:11 UTC (History)
0 users

See Also:


Attachments
stunnel.diff (3.51 KB, patch)
2005-05-20 07:00 UTC, vd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vd 2005-05-20 07:00:24 UTC
There are known problems with stunnel's new threading model - ucontext(3),
some of which were reported to ports@ and ports-bugs@ they include
unexpected exits (without errors) and build faulures on sparc64.
See ports@ mailing list, ports/81162 and
http://pointyhat.freebsd.org/errorlogs/sparc64-errorlogs/e.5.2005042909/stunnel-4.10.log

Following is a patch to the port that lets the user choose ucontext,
pthread or fork model. It currently defaults to pthread.

This should eliminate the problems as it seems that ucontext is broken,
not 4.10. At first glance I saw that pthread code was not touched
between 4.09-4.10 and it works fine for me with pthreading.
Comment 1 krion freebsd_committer 2005-05-20 14:49:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

Over to maintainer.
Comment 2 vd 2005-06-08 08:55:09 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Someone available to commit this?

It has been idling for 19 days. Stunnel is useless without this patch -
it quits after 2 connections because of its brand new (and broken)
ucontext(3) threading.
-----BEGIN PGP SIGNATURE-----

iD8DBQFCpqRdFw6SP/bBpCARApSuAJ43drouqHgzxTV1gr94elLTZ4TjWQCeM4YB
gBKkIDIq/vpsfWX4mLBu9Q0=
=NXMD
-----END PGP SIGNATURE-----
Comment 3 roam 2005-06-08 09:07:12 UTC
On Wed, Jun 08, 2005 at 08:00:27AM +0000, Vasil Dimov wrote:
>  Someone available to commit this?
>  
>  It has been idling for 19 days. Stunnel is useless without this patch -
>  it quits after 2 connections because of its brand new (and broken)
>  ucontext(3) threading.


Sorry, I've been working on it in the last day or three, trying to
come up with a somewhat more robust patch.  Yours is okay for this
particular problem, but I'm thinking of something a bit more configurable;
should be done today.

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net    roam@cnsys.bg    roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
Thit sentence is not self-referential because "thit" is not a word.
Comment 4 roam freebsd_committer 2005-06-14 10:10:42 UTC
State Changed
From-To: open->closed

I've committed a slightly modified version.  Thanks!